<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="shortcut icon" href="assets/images/favicon.svg" type="image/x-icon" />
    <title>Processor Brands</title>

    <!-- ========== All CSS files linkup ========= -->
    <link rel="stylesheet" href="assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="assets/css/all.min.css" />
    <link rel="stylesheet" href="assets/css/dataTables.bootstrap5.min.css" />
    <link rel="stylesheet" href="assets/css/toastr.min.css" />
    <link rel="stylesheet" href="css/main.css" />
</head>

<body>
    <!-- ======== sidebar-nav start =========== -->
    <aside class="sidebar-nav-wrapper">
        <div class="navbar-logo">
            <a href="orders.html">
                <img src="assets/images/logo/logo.svg" alt="logo" />
            </a>
        </div>
        <nav class="sidebar-nav">
            <ul>
                <li id="menu-dashboard" class="nav-item" hidden>
                    <a href="dashboard.html">
                        <span class="icon">
                            <i class="fa-solid fa-chart-simple"></i>
                        </span>
                        <span class="text">Dashboard</span>
                    </a>
                </li>
                <li id="menu-orders" class="nav-item" hidden>
                    <a href="orders.html">
                        <span class="icon">
                            <i class="fa-solid fa-cart-shopping"></i>
                        </span>
                        <span class="text">Orders</span>
                    </a>
                </li>
                <li id="menu-payments" class="nav-item" hidden>
                    <a href="payments.html">
                        <span class="icon">
                            <i class="fa-solid fa-credit-card"></i>
                        </span>
                        <span class="text">Payments</span>
                    </a>
                </li>
                <li id="menu-products" class="nav-item nav-item-has-children" hidden>
                    <a href="#0" class="collapsed" data-bs-toggle="collapse" data-bs-target="#ddmenu_products"
                        aria-controls="ddmenu_products" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="icon">
                            <i class="fa-solid fa-laptop"></i>
                        </span>
                        <span class="text">Products</span>
                    </a>
                    <ul id="ddmenu_products" class="collapse dropdown-nav">
                        <li>
                            <a href="product-brands.html"> Product Brands </a>
                        </li>
                        <li>
                            <a href="product-lines.html"> Product Lines </a>
                        </li>
                        <li>
                            <a href="products.html"> Products </a>
                        </li>
                    </ul>
                </li>
                <li id="menu-processors" class="nav-item nav-item-has-children" hidden>
                    <a href="#0" data-bs-toggle="collapse" data-bs-target="#ddmenu_processors"
                        aria-controls="ddmenu_processors" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="icon">
                            <i class="fa-solid fa-microchip"></i>
                        </span>
                        <span class="text">Processors</span>
                    </a>
                    <ul id="ddmenu_processors" class="collapse show dropdown-nav">
                        <li>
                            <a href="processor-brands.html" class="active"> Processor Brands </a>
                        </li>
                        <li>
                            <a href="processor-collections.html"> Processor Collections </a>
                        </li>
                        <li>
                            <a href="processors.html"> Processors </a>
                        </li>
                    </ul>
                </li>
                <li id="menu-graphics" class="nav-item nav-item-has-children" hidden>
                    <a href="#0" class="collapsed" data-bs-toggle="collapse" data-bs-target="#ddmenu_graphics"
                        aria-controls="ddmenu_graphics" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="icon">
                            <i class="fa-solid fa-microchip"></i>
                        </span>
                        <span class="text">Graphics</span>
                    </a>
                    <ul id="ddmenu_graphics" class="collapse dropdown-nav">
                        <li>
                            <a href="graphics-brands.html"> Graphics Brands </a>
                        </li>
                        <li>
                            <a href="graphics-types.html"> Graphics Types </a>
                        </li>
                        <li>
                            <a href="graphics.html"> Graphics </a>
                        </li>
                    </ul>
                </li>
                <li id="menu-employees" class="nav-item" hidden>
                    <a href="employees.html">
                        <span class="icon">
                            <i class="fa-solid fa-user-tie"></i>
                        </span>
                        <span class="text">Employees</span>
                    </a>
                </li>
                <li id="menu-offices" class="nav-item" hidden>
                    <a href="offices.html">
                        <span class="icon">
                            <i class="fa-solid fa-building"></i>
                        </span>
                        <span class="text">Offices</span>
                    </a>
                </li>
                <li id="menu-users" class="nav-item" hidden>
                    <a href="users.html">
                        <span class="icon">
                            <i class="fa-solid fa-user"></i>
                        </span>
                        <span class="text">Users</span>
                    </a>
                </li>
            </ul>
        </nav>
    </aside>
    <div class=" overlay"></div>
    <!-- ======== sidebar-nav end =========== -->

    <!-- ======== main-wrapper start =========== -->
    <main class="main-wrapper">
        <!-- ========== header start ========== -->
        <header class="header">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-5 col-md-5 col-6">
                        <div class="header-left d-flex align-items-center">
                            <div class="menu-toggle-btn mr-20">
                                <button id="menu-toggle" class="main-btn primary-btn btn-hover">
                                    <i class="fa-solid fa-chevron-left me-2"></i> Menu
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-7 col-md-7 col-6">
                        <div class="header-right">
                            <!-- profile start -->
                            <div class="profile-box ml-15">
                                <button class="dropdown-toggle bg-transparent border-0" type="button" id="profile"
                                    data-bs-toggle="dropdown" aria-expanded="false">
                                    <div class="profile-info">
                                        <div class="info">
                                            <h6 id="h-fullname"></h6>
                                            <div class="image">
                                                <img src="assets/images/profile/profile-image.png" alt="" />
                                                <span class="status"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <i class="fa-solid fa-chevron-down"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="profile">
                                    <li>
                                        <a href="profile.html"><i class="fa-solid fa-user"></i> View Profile
                                        </a>
                                    </li>
                                    <li>
                                        <a href="change-password.html"> <i class="fa-solid fa-key"></i> Change password
                                        </a>
                                    </li>
                                    <li id="li-logout">
                                        <a href="#0"> <i class="fa-solid fa-right-from-bracket"></i>
                                            Logout </a>
                                    </li>
                                </ul>
                            </div>
                            <!-- profile end -->
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- ========== header end ========== -->

        <!-- ========== table components start ========== -->
        <section class="table-components">
            <div class="container-fluid">
                <!-- ========== title-wrapper start ========== -->
                <div class="title-wrapper pt-10">
                    <div class="row align-items-center">
                        <div class="col-md-6">
                            <div class="title pb-10">
                                <h2>Processor Brands</h2>
                            </div>
                        </div>
                        <div class="col-md-6 mt-1">
                            <div class="breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb">
                                        <li class="breadcrumb-item">
                                            <a href="#0">Processors</a>
                                        </li>
                                        <li class="breadcrumb-item active" aria-current="page"><a
                                                href="processor-brands.html">Processor Brands</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                    <!-- end row -->
                </div>
                <!-- ========== title-wrapper end ========== -->

                <!-- ========== tables-wrapper start ========== -->
                <div class="tables-wrapper">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="card-style">
                                <div>
                                    <div class="row">
                                        <div class="col-sm-9 mt-1">
                                            <button id="add-processor-brand"
                                                class="main-btn primary-btn-outline btn-hover" title="Add Processor"><i
                                                    class="fas fa-plus"></i></button>
                                            <button id="filter-processor-brand"
                                                class="main-btn primary-btn-outline btn-hover" title="Filter"><i
                                                    class='fas fa-filter'></i></button>
                                        </div>
                                        <div class="col-sm-3 my-1">
                                            <input type="text" id="inp-search"
                                                class="form-control form-control-sm ml-auto" placeholder="Find by Name">
                                        </div>
                                    </div>
                                    <table id="table-processor-brands" class="table">
                                        <thead>
                                            <tr>
                                                <th>
                                                    <h6>Action</h6>
                                                </th>
                                                <th>
                                                    <h6>ID</h6>
                                                </th>
                                                <th>
                                                    <h6>Name</h6>
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>

                                    <div class="row mt-3">
                                        <nav class="col-md-6">
                                            <ul class="pagination pagination-sm">
                                                <li class="page-item" title="First"><a id="first-page" class="page-link"
                                                        href="#"><i class="fas fa-angle-double-left"></i></a>
                                                </li>
                                                <li class="page-item" title="Previous"><a id="previous-page"
                                                        class="page-link" href="#"><i class="fas fa-angle-left"></i></a>
                                                </li>
                                                <li class="page-item"><input type="number" id="number-page"
                                                        class="form-control form-control-sm mx-1" min="1" step="1"
                                                        style="text-align: center; width: 100px;"
                                                        onkeypress="return (event.charCode == 45 || event.charCode == 46 ? event.charCode == 0 : event.charCode)">
                                                </li>
                                                <li class="page-item" title="Next"><a id="next-page" class="page-link"
                                                        href="#"><i class="fas fa-angle-right"></i></a>
                                                </li>
                                                <li class="page-item" title="Last"><a id="last-page" class="page-link"
                                                        href="#"><i class="fas fa-angle-double-right"></i></a>
                                                </li>
                                                <li class="page-item mx-2">
                                                    <select id="sel-page-size" class="form-select form-select-sm"
                                                        title="Page size">
                                                        <option value="10" selected>10
                                                        </option>
                                                        <option value="20">20</option>
                                                        <option value="50">50</option>
                                                        <option value="100">100</option>
                                                    </select>
                                                </li>
                                            </ul>
                                        </nav>
                                        <div class="col-md-6">
                                            Showing <span id="element-first"></span> - <span id="element-last"></span> /
                                            <span id="total-elements"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end card -->
                        </div>
                        <!-- end col -->
                    </div>
                    <!-- end row -->
                </div>
                <!-- ========== tables-wrapper end ========== -->
            </div>
            <!-- end container -->
        </section>
        <!-- ========== table components end ========== -->

        <!-- ========== footer start =========== -->
        <footer class="footer">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-6 order-last order-md-first">
                        <div class="copyright text-center text-md-start">
                            <p class="text-sm">Copyright&copy; 2023</p>
                        </div>
                    </div>
                    <!-- end col-->
                    <div class="col-md-6">
                        <div class="terms d-flex justify-content-center justify-content-md-end">
                            <a href="#0" class="text-sm">Term & Conditions</a>
                            <a href="#0" class="text-sm ml-15">Privacy & Policy</a>
                        </div>
                    </div>
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </footer>
        <!-- ========== footer end =========== -->
    </main>
    <!-- ======== main-wrapper end =========== -->

    <!-- Modal detail -->
    <div class="warning-modal">
        <div class="modal fade" id="modal-detail" data-bs-backdrop="static" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-lg modal-dialog-centered">
                <div class="modal-content card-style">
                    <div class="modal-header px-0 border-0">
                        <h5 class="text-bold">
                            Processor Brand Detail
                        </h5>
                        <button type="button" class="border-0 bg-transparent h2" data-bs-dismiss="modal">
                            <i class="fa-solid fa-circle-xmark"></i>
                        </button>
                    </div>
                    <div class="modal-body px-0">
                        <div class="content mb-30">
                            <div class="table-wrapper table-responsive">
                                <table class="table striped-table">
                                    <tbody>
                                        <tr>
                                            <td class="w-50">
                                                <p>ID</p>
                                            </td>
                                            <td class="w-50">
                                                <p id="p-id"></p>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <p>Name</p>
                                            </td>
                                            <td>
                                                <p id="p-name"></p>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <p>Description</p>
                                            </td>
                                            <td>
                                                <p id="p-description"></p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <!-- end table -->
                            </div>
                        </div>
                        <div class="action d-flex">
                            <button type="submit" id="btn-delete" class="main-btn danger-btn btn-hover me-auto">
                                Delete
                            </button>
                            <button type="submit" id="btn-edit" class="main-btn primary-btn btn-hover me-2">
                                Edit
                            </button>
                            <button type="button" data-bs-dismiss="modal" class="main-btn dark-btn btn-hover">
                                Cancel
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal delete -->
    <div class="warning-modal">
        <div class="modal fade" id="modal-delete" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content card-style">
                    <div class="modal-header px-0 border-0">
                        <h5 class="text-bold">
                            <i class="fa-solid fa-triangle-exclamation text-danger me-2" style='font-size:24px'></i> Are
                            you sure you want to delete this processor brand?
                        </h5>
                    </div>
                    <div class="modal-body px-0">
                        <div class="action d-flex flex-wrap justify-content-end">
                            <button id="btn-delete-confirm" class="main-btn danger-btn btn-hover me-2">
                                Delete
                            </button>
                            <button data-bs-dismiss="modal" class="main-btn dark-btn btn-hover">
                                Cancel
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal error -->
    <div class="warning-modal">
        <div class="modal fade" id="modal-error" tabindex="-1" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content card-style warning-card text-center">
                    <div class="modal-body">
                        <div class="icon text-danger mb-20">
                            <i class="fa-solid fa-triangle-exclamation"></i>
                        </div>
                        <div class="content mb-30">
                            <h2 class="mb-15">Cannot delete!</h2>
                            <p class="text-sm text-medium">
                                An error has occurred while operating an error report
                            </p>
                        </div>
                        <div class="action d-flex flex-wrap justify-content-center">
                            <button data-bs-dismiss="modal" class="main-btn dark-btn rounded-full btn-hover">
                                Close
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- ========= All Javascript files linkup ======== -->
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/jquery.dataTables.min.js"></script>
    <script src="assets/js/dataTables.bootstrap5.min.js"></script>
    <script src="assets/js/toastr.min.js"></script>
    <script src="js/main.js"></script>
    <script src="js/account.js"></script>
    <script src="js/processor-brands.js"></script>
</body>

</html>